apport-retrace does not install apt keyrings

Bug #856216 reported by Till Kamppeter on 2011-09-22
30
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
Medium
Martin Pitt

Bug Description

Tried a local retrace as the retracer on Launchpad is not working for me ...

Tried the command line

sudo apport-retrace -S system -g -v _usr_sbin_cupsd.0.crash

with the attached _usr_sbin_cupsd.0.crash file. Same problem occurs if I preceed the command line with "sudo" to run the command as root.

Screen output below.

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: apport-retrace 1.23-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4
Uname: Linux 3.0.0-11-generic x86_64
ApportLog:

ApportVersion: 1.23-0ubuntu1
Architecture: amd64
Date: Thu Sep 22 10:59:32 2011
EcryptfsInUse: Yes
ExecutablePath: /usr/bin/apport-retrace
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/apport-retrace -S system -g -v _usr_sbin_cupsd.0.crash
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=en_US.UTF-8
PythonArgs: ['/usr/bin/apport-retrace', '-S', 'system', '-g', '-v', '_usr_sbin_cupsd.0.crash']
SourcePackage: apport
Title: apport-retrace crashed with , E in update()
UpgradeStatus: Upgraded to oneiric on 2009-12-18 (643 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

----------

till@till:~$ apport-retrace -S system -g -v _usr_sbin_cupsd.0.crash
Ignored http://archive.canonical.com oneiric InRelease
Failed http://archive.canonical.com oneiric InRelease
Ignored http://archive.ubuntu.com oneiric InRelease
Failed http://archive.ubuntu.com oneiric InRelease
Ignored http://archive.ubuntu.com oneiric-updates InRelease
Failed http://archive.ubuntu.com oneiric-updates InRelease
Ignored http://archive.ubuntu.com oneiric-proposed InRelease
Failed http://archive.ubuntu.com oneiric-proposed InRelease
Ignored http://security.ubuntu.com oneiric-security InRelease
Failed http://security.ubuntu.com oneiric-security InRelease
Done http://archive.canonical.com oneiric Release.gpg
Done http://archive.ubuntu.com oneiric Release.gpg
Done http://security.ubuntu.com oneiric-security Release.gpg
Done http://archive.ubuntu.com oneiric-updates Release.gpg
Done http://archive.ubuntu.com oneiric-proposed Release.gpg
Done http://archive.canonical.com oneiric Release
Ignored http://archive.canonical.com oneiric Release
Failed http://archive.canonical.com oneiric Release
Done http://security.ubuntu.com oneiric-security Release
Ignored http://security.ubuntu.com oneiric-security Release
Failed http://security.ubuntu.com oneiric-security Release
Done http://archive.canonical.com oneiric/partner Sources
Done http://archive.canonical.com oneiric/partner Sources
Done http://archive.ubuntu.com oneiric Release
Ignored http://archive.ubuntu.com oneiric Release
Failed http://archive.ubuntu.com oneiric Release
Done http://security.ubuntu.com oneiric-security/restricted Sources
Done http://security.ubuntu.com oneiric-security/restricted Sources
Done http://archive.canonical.com oneiric/partner amd64 Packages
Done http://archive.canonical.com oneiric/partner amd64 Packages
Done http://archive.ubuntu.com oneiric-updates Release
Ignored http://archive.ubuntu.com oneiric-updates Release
Failed http://archive.ubuntu.com oneiric-updates Release
Done http://archive.canonical.com oneiric/partner i386 Packages
Ignored http://archive.canonical.com oneiric/partner TranslationIndex
Failed http://archive.canonical.com oneiric/partner TranslationIndex
Done http://security.ubuntu.com oneiric-security/main Sources
Done http://archive.canonical.com oneiric/partner i386 Packages
Done http://security.ubuntu.com oneiric-security/main Sources
Done http://security.ubuntu.com oneiric-security/multiverse Sources
Done http://security.ubuntu.com oneiric-security/multiverse Sources
Done http://archive.ubuntu.com oneiric-proposed Release
Done http://security.ubuntu.com oneiric-security/universe Sources
Done http://security.ubuntu.com oneiric-security/universe Sources
Ignored http://archive.ubuntu.com oneiric-proposed Release
Failed http://archive.ubuntu.com oneiric-proposed Release
Done http://security.ubuntu.com oneiric-security/main amd64 Packages
Done http://security.ubuntu.com oneiric-security/main amd64 Packages
Done http://archive.ubuntu.com oneiric/restricted Sources
Done http://archive.ubuntu.com oneiric/restricted Sources
Done http://security.ubuntu.com oneiric-security/restricted amd64 Packages
Done http://security.ubuntu.com oneiric-security/restricted amd64 Packages
Done http://security.ubuntu.com oneiric-security/universe amd64 Packages
Done http://security.ubuntu.com oneiric-security/universe amd64 Packages
Done http://security.ubuntu.com oneiric-security/multiverse amd64 Packages
Done http://security.ubuntu.com oneiric-security/multiverse amd64 Packages
Done http://security.ubuntu.com oneiric-security/main i386 Packages
Done http://security.ubuntu.com oneiric-security/main i386 Packages
Done http://security.ubuntu.com oneiric-security/restricted i386 Packages
Done http://security.ubuntu.com oneiric-security/restricted i386 Packages
Done http://security.ubuntu.com oneiric-security/universe i386 Packages
Done http://security.ubuntu.com oneiric-security/universe i386 Packages
Done http://security.ubuntu.com oneiric-security/multiverse i386 Packages
Done http://security.ubuntu.com oneiric-security/multiverse i386 Packages
Ignored http://archive.canonical.com oneiric/partner Translation-en
Failed http://archive.canonical.com oneiric/partner Translation-en
Ignored http://security.ubuntu.com oneiric-security/main TranslationIndex
Failed http://security.ubuntu.com oneiric-security/main TranslationIndex
Ignored http://security.ubuntu.com oneiric-security/multiverse TranslationIndex
Failed http://security.ubuntu.com oneiric-security/multiverse TranslationIndex
Ignored http://security.ubuntu.com oneiric-security/restricted TranslationIndex
Failed http://security.ubuntu.com oneiric-security/restricted TranslationIndex
Ignored http://security.ubuntu.com oneiric-security/universe TranslationIndex
Failed http://security.ubuntu.com oneiric-security/universe TranslationIndex
Ignored http://security.ubuntu.com oneiric-security/main Translation-en
Failed http://security.ubuntu.com oneiric-security/main Translation-en
Ignored http://security.ubuntu.com oneiric-security/multiverse Translation-en
Failed http://security.ubuntu.com oneiric-security/multiverse Translation-en
Ignored http://security.ubuntu.com oneiric-security/restricted Translation-en
Failed http://security.ubuntu.com oneiric-security/restricted Translation-en
Ignored http://security.ubuntu.com oneiric-security/universe Translation-en
Failed http://security.ubuntu.com oneiric-security/universe Translation-en
Done http://archive.ubuntu.com oneiric/main Sources
Done http://archive.ubuntu.com oneiric/main Sources
Done http://archive.ubuntu.com oneiric/multiverse Sources
Done http://archive.ubuntu.com oneiric/multiverse Sources
Ignored http://ftp.freestandards.org lsb-4.0 InRelease
Failed http://ftp.freestandards.org lsb-4.0 InRelease
Ignored http://ftp.freestandards.org lsb-4.0 Release.gpg
Failed http://ftp.freestandards.org lsb-4.0 Release.gpg
Ignored http://ftp.freestandards.org lsb-4.0 Release
Failed http://ftp.freestandards.org lsb-4.0 Release
Ignored http://ftp.freestandards.org lsb-4.0/main TranslationIndex
Failed http://ftp.freestandards.org lsb-4.0/main TranslationIndex
Failed http://ftp.freestandards.org lsb-4.0/main amd64 Packages
Failed http://ftp.freestandards.org lsb-4.0/main i386 Packages
Ignored http://ftp.freestandards.org lsb-4.0/main Translation-en
Failed http://ftp.freestandards.org lsb-4.0/main Translation-en
Done http://archive.ubuntu.com oneiric/universe Sources
Done http://archive.ubuntu.com oneiric/universe Sources
Done http://archive.ubuntu.com oneiric/main amd64 Packages
Done http://archive.ubuntu.com oneiric/restricted amd64 Packages
Done http://archive.ubuntu.com oneiric/main amd64 Packages
Done http://archive.ubuntu.com oneiric/restricted amd64 Packages
Done http://archive.ubuntu.com oneiric/universe amd64 Packages
Done http://archive.ubuntu.com oneiric/multiverse amd64 Packages
Done http://archive.ubuntu.com oneiric/main i386 Packages
Done http://archive.ubuntu.com oneiric/restricted i386 Packages
Done http://archive.ubuntu.com oneiric/universe amd64 Packages
Done http://archive.ubuntu.com oneiric/multiverse amd64 Packages
Done http://archive.ubuntu.com oneiric/main i386 Packages
Done http://archive.ubuntu.com oneiric/restricted i386 Packages
Done http://archive.ubuntu.com oneiric/universe i386 Packages
Done http://archive.ubuntu.com oneiric/multiverse i386 Packages
Ignored http://archive.ubuntu.com oneiric/main TranslationIndex
Failed http://archive.ubuntu.com oneiric/main TranslationIndex
Ignored http://archive.ubuntu.com oneiric/multiverse TranslationIndex
Failed http://archive.ubuntu.com oneiric/multiverse TranslationIndex
Ignored http://archive.ubuntu.com oneiric/restricted TranslationIndex
Failed http://archive.ubuntu.com oneiric/restricted TranslationIndex
Ignored http://archive.ubuntu.com oneiric/universe TranslationIndex
Failed http://archive.ubuntu.com oneiric/universe TranslationIndex
Done http://archive.ubuntu.com oneiric-updates/restricted Sources
Done http://archive.ubuntu.com oneiric-updates/main Sources
Done http://archive.ubuntu.com oneiric-updates/multiverse Sources
Done http://archive.ubuntu.com oneiric-updates/universe Sources
Done http://archive.ubuntu.com oneiric-updates/main amd64 Packages
Done http://archive.ubuntu.com oneiric-updates/restricted amd64 Packages
Done http://archive.ubuntu.com oneiric-updates/universe amd64 Packages
Done http://archive.ubuntu.com oneiric-updates/multiverse amd64 Packages
Done http://archive.ubuntu.com oneiric-updates/main i386 Packages
Done http://archive.ubuntu.com oneiric-updates/restricted i386 Packages
Done http://archive.ubuntu.com oneiric-updates/universe i386 Packages
Done http://archive.ubuntu.com oneiric-updates/multiverse i386 Packages
Ignored http://archive.ubuntu.com oneiric-updates/main TranslationIndex
Failed http://archive.ubuntu.com oneiric-updates/main TranslationIndex
Ignored http://archive.ubuntu.com oneiric-updates/multiverse TranslationIndex
Failed http://archive.ubuntu.com oneiric-updates/multiverse TranslationIndex
Ignored http://archive.ubuntu.com oneiric-updates/restricted TranslationIndex
Failed http://archive.ubuntu.com oneiric-updates/restricted TranslationIndex
Ignored http://archive.ubuntu.com oneiric-updates/universe TranslationIndex
Failed http://archive.ubuntu.com oneiric-updates/universe TranslationIndex
Done http://archive.ubuntu.com oneiric-proposed/restricted amd64 Packages
Done http://archive.ubuntu.com oneiric-proposed/main amd64 Packages
Done http://archive.ubuntu.com oneiric-proposed/multiverse amd64 Packages
Done http://archive.ubuntu.com oneiric-proposed/universe amd64 Packages
Done http://archive.ubuntu.com oneiric-proposed/restricted i386 Packages
Done http://archive.ubuntu.com oneiric-proposed/main i386 Packages
Done http://archive.ubuntu.com oneiric-proposed/multiverse i386 Packages
Done http://archive.ubuntu.com oneiric-proposed/universe i386 Packages
Ignored http://archive.ubuntu.com oneiric-proposed/main TranslationIndex
Failed http://archive.ubuntu.com oneiric-proposed/main TranslationIndex
Ignored http://archive.ubuntu.com oneiric-proposed/multiverse TranslationIndex
Failed http://archive.ubuntu.com oneiric-proposed/multiverse TranslationIndex
Ignored http://archive.ubuntu.com oneiric-proposed/restricted TranslationIndex
Failed http://archive.ubuntu.com oneiric-proposed/restricted TranslationIndex
Ignored http://archive.ubuntu.com oneiric-proposed/universe TranslationIndex
Failed http://archive.ubuntu.com oneiric-proposed/universe TranslationIndex
Done http://archive.ubuntu.com oneiric/universe i386 Packages
Done http://archive.ubuntu.com oneiric/multiverse i386 Packages
Done http://archive.ubuntu.com oneiric-updates/restricted Sources
Done http://archive.ubuntu.com oneiric-updates/main Sources
Done http://archive.ubuntu.com oneiric-updates/multiverse Sources
Done http://archive.ubuntu.com oneiric-updates/universe Sources
Done http://archive.ubuntu.com oneiric-updates/main amd64 Packages
Done http://archive.ubuntu.com oneiric-updates/restricted amd64 Packages
Done http://archive.ubuntu.com oneiric-updates/universe amd64 Packages
Done http://archive.ubuntu.com oneiric-updates/multiverse amd64 Packages
Done http://archive.ubuntu.com oneiric-updates/main i386 Packages
Done http://archive.ubuntu.com oneiric-updates/restricted i386 Packages
Done http://archive.ubuntu.com oneiric-updates/universe i386 Packages
Done http://archive.ubuntu.com oneiric-updates/multiverse i386 Packages
Done http://archive.ubuntu.com oneiric-proposed/restricted amd64 Packages
Done http://archive.ubuntu.com oneiric-proposed/main amd64 Packages
Done http://archive.ubuntu.com oneiric-proposed/multiverse amd64 Packages
Done http://archive.ubuntu.com oneiric-proposed/universe amd64 Packages
Done http://archive.ubuntu.com oneiric-proposed/restricted i386 Packages
Done http://archive.ubuntu.com oneiric-proposed/main i386 Packages
Done http://archive.ubuntu.com oneiric-proposed/multiverse i386 Packages
Done http://archive.ubuntu.com oneiric-proposed/universe i386 Packages
Done http://archive.ubuntu.com oneiric/main Translation-en
Done http://archive.ubuntu.com oneiric/multiverse Translation-en
Done http://archive.ubuntu.com oneiric/restricted Translation-en
Done http://archive.ubuntu.com oneiric/main Translation-en
Done http://archive.ubuntu.com oneiric/multiverse Translation-en
Done http://archive.ubuntu.com oneiric/restricted Translation-en
Done http://archive.ubuntu.com oneiric/universe Translation-en
Ignored http://archive.ubuntu.com oneiric-updates/main Translation-en
Failed http://archive.ubuntu.com oneiric-updates/main Translation-en
Ignored http://archive.ubuntu.com oneiric-updates/multiverse Translation-en
Failed http://archive.ubuntu.com oneiric-updates/multiverse Translation-en
Ignored http://archive.ubuntu.com oneiric-updates/restricted Translation-en
Failed http://archive.ubuntu.com oneiric-updates/restricted Translation-en
Ignored http://archive.ubuntu.com oneiric-updates/universe Translation-en
Failed http://archive.ubuntu.com oneiric-updates/universe Translation-en
Ignored http://archive.ubuntu.com oneiric-proposed/main Translation-en
Failed http://archive.ubuntu.com oneiric-proposed/main Translation-en
Ignored http://archive.ubuntu.com oneiric-proposed/multiverse Translation-en
Failed http://archive.ubuntu.com oneiric-proposed/multiverse Translation-en
Ignored http://archive.ubuntu.com oneiric-proposed/restricted Translation-en
Failed http://archive.ubuntu.com oneiric-proposed/restricted Translation-en
Ignored http://archive.ubuntu.com oneiric-proposed/universe Translation-en
Failed http://archive.ubuntu.com oneiric-proposed/universe Translation-en
Done http://archive.ubuntu.com oneiric/universe Translation-en
Done downloading
Traceback (most recent call last):
  File "/usr/bin/apport-retrace", line 331, in <module>
    report['DistroRelease'], pkgs, options.verbose, options.cache)
  File "/usr/lib/python2.7/dist-packages/apport/packaging_impl.py", line 441, in install_packages
    c.update(fetchProgress)
  File "/usr/lib/python2.7/dist-packages/apt/deprecation.py", line 98, in deprecated_function
    return func(*args, **kwds)
  File "/usr/lib/python2.7/dist-packages/apt/cache.py", line 410, in update
    raise FetchFailedException(e)
apt.cache.FetchFailedException: W:GPG error: http://archive.canonical.com oneiric Release: No keyring installed in /tmp/tmpqvXdBV/system/apt//etc/apt/trusted.gpg.d/., W:GPG error: http://security.ubuntu.com oneiric-security Release: No keyring installed in /tmp/tmpqvXdBV/system/apt//etc/apt/trusted.gpg.d/., W:GPG error: http://archive.ubuntu.com oneiric Release: No keyring installed in /tmp/tmpqvXdBV/system/apt//etc/apt/trusted.gpg.d/., W:GPG error: http://archive.ubuntu.com oneiric-updates Release: No keyring installed in /tmp/tmpqvXdBV/system/apt//etc/apt/trusted.gpg.d/., W:GPG error: http://archive.ubuntu.com oneiric-proposed Release: No keyring installed in /tmp/tmpqvXdBV/system/apt//etc/apt/trusted.gpg.d/., W:Failed to fetch http://ftp.freestandards.org/pub/lsb/repositories/debian/dists/lsb-4.0/main/binary-amd64/Packages 503 Service Temporarily Unavailable
, W:Failed to fetch http://ftp.freestandards.org/pub/lsb/repositories/debian/dists/lsb-4.0/main/binary-i386/Packages 503 Service Temporarily Unavailable
, E:Some index files failed to download. They have been ignored, or old ones used instead.
till@till:~$

Till Kamppeter (till-kamppeter) wrote :
visibility: private → public
tags: removed: need-duplicate-check
description: updated
Till Kamppeter (till-kamppeter) wrote :

It says "No keyring installed".

Here is the output of "apt-key list", as requested:

till@till:~$ apt-key list
/etc/apt/trusted.gpg
--------------------
pub 1024D/437D05B5 2004-09-12
uid Ubuntu Archive Automatic Signing Key <email address hidden>
sub 2048g/79164387 2004-09-12

pub 1024D/FBB75451 2004-12-30
uid Ubuntu CD Image Automatic Signing Key <email address hidden>

pub 1024D/0C5A2783 2006-11-23
uid Medibuntu Packaging Team <email address hidden>
uid The Medibuntu Team <email address hidden>
sub 2048g/16C7105A 2006-11-23

pub 1024R/42F834EC 2010-06-21
uid Launchpad ppa

pub 1024D/8AA65D56 2009-12-17
uid Seiko Epson Corporation (Epson Inkjet Printer Driver) <email address hidden>
sub 2048g/92A2C210 2009-12-17

pub 1024D/3E5C1192 2010-09-20
uid Ubuntu Extras Archive Automatic Signing Key <email address hidden>

pub 1024D/428D7C01 2008-09-02
uid Ubuntu Debug Symbol Archive Automatic Signing Key <email address hidden>
sub 2048g/A2C2A7A5 2008-09-02

till@till:~$

Till Kamppeter (till-kamppeter) wrote :

till@till:~$ ls -l /etc/apt/trusted.gpg.d/
total 8
-rw------- 1 root root 1216 2011-03-28 23:53 jockey-drivers.gpg
-rw------- 1 root root 1216 2011-01-06 23:11 jockey-drivers.gpg~
till@till:~$

summary: - apport-retrace crashed with , E in update()
+ apport-retrace crashed with FetchFailedException in update()
Till Kamppeter (till-kamppeter) wrote :
Martin Pitt (pitti) on 2011-09-22
Changed in apport (Ubuntu):
assignee: nobody → Martin Pitt (pitti)

I just got bug 859248, which may be a duplicate of this, but the steps that produced it are a bit different from those detailed here, so I am not sure.

Martin Pitt (pitti) wrote :

> W:GPG error: http://archive.ubuntu.com oneiric-proposed Release: No keyring installed in /tmp/tmpqvXdBV/system/apt//etc/apt/trusted.gpg.d/.,

So this part is real, I noticed that I generally forgot to copy the keyrings from the system, or fetch them from the keyserver.

> , W:Failed to fetch http://ftp.freestandards.org/pub/lsb/repositories/debian/dists/lsb-4.0/main/binary-i386/Packages 503 Service Temporarily Unavailable
> E:Some index files failed to download. They have been ignored, or old ones used instead.

That was the real reason for your crash. Even now I get "This site is down for maintenance. We will be restoring service shortly. Thank you for your patience.", presumably due to the recent security problems.

So I will devote this bug for the missing apt keyrings, and use bug 859248 for producing a nicer error message on a crash.

summary: - apport-retrace crashed with FetchFailedException in update()
+ apport-retrace does not install apt keyrings
Martin Pitt (pitti) wrote :

$ cat /etc/apt/sources.list.d/fso.list
deb http://ftp.freestandards.org/pub/lsb/repositories/debian lsb-4.0 main

With that I still get the 503 on a regular "sudo apt-get update", so that error is real and should be respected.

Changed in apport (Ubuntu):
status: New → In Progress
importance: Undecided → Medium

The http://ftp.freestandards.org/ ones can have to do with the crash of the Linux Foundation ...

Martin Pitt (pitti) wrote :

Fixed in trunk r1970.

Changed in apport (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (4.3 KiB)

This bug was fixed in the package apport - 1.24-0ubuntu1

---------------
apport (1.24-0ubuntu1) precise; urgency=low

  * New upstream release 1.23.1:
    - apport/crashdb.py: Ensure that duplicate table only has one entry per
      report ID.
    - apport-retrace: Pass correct executable path to gdb in --gdb with
      --sandbox mode.
    - apport-retrace: Do not leave behind temporary directories on errors.
    - apport-retrace: Drop assertion failure for existance of "Stacktrace".
      This isn't present in the case of gdb crashing, and there is not much we
      can do about it. This should not break the retracer.
    - apport/report.py: Unwind XError() from stack traces for the
      "StacktraceTop" field, as they take a significant part of the trace.
      This causes bugs to be duplicated which really have different causes.
  * New upstream release 1.24:
   - apport-retrace: Add --timestamp option to prepend a timestamp to log
     messages. This is useful for batch operations.
   - crash-digger: Call apport-retrace with --timestamps, to get consistent
     timestamps in log output.
   - hookutils.py: Add two new functions attach_gsettings_package() and
     attach_gsettings_schema() for adding user-modified gsettings keys to a
     report. (LP: #836489)
   - hookutils.py: Add new function in_session_of_problem() which returns
     whether the given report happened in the currently running XDG session.
     This can be used to determine if e. g. ~/.xsession-errors is relevant and
     should be attached.
   - backends/packaging-apt-dpkg.py, install_packages(): Also copy
     apt/sources.list.d/ into sandbox.
   - backends/packaging-apt-dpkg.py, install_packages(): Install apt keyrings
     from config dir or from system into sandbox. (LP: #856216)
   - packaging.py, backends/packaging-apt-dpkg.py: Define that
     install_packages() should return a SystemError for broken
     configs/unreachable servers etc., and fix the apt/dpkg implementation
     accordingly.
   - apport-retrace: Don't crash, just give a proper error message if servers
     are unreachable, or configuration files are broken. (LP: #859248)
   - backends/packaging-apt-dpkg.py: Fix crash when
     /etc/apport/native-origins.d contains any files. (LP: #865199)
   - hookutils, recent_logfile(): Fix invalid return value if log file is not
     readable. (LP: #819357)
   - test/crash: Fix race condition in the "second instance terminates
     immediately" check.
   - hookutils.py: Replace attach_gconf() with a no-op stub. It used static
     python modules like "gconf" which broke the PyGI GTK user interface, and
     gconf is rather obsolete these days.
   - ui.py, open_url(): Greatly simply and robustify by just using xdg-open.
     This already does the right thing wrt. reading the default browser from
     GNOME, KDE, XCE, and other desktops. (LP: #198449)
   - data/general-hooks/generic.py: Only attach ~/.xsession_errors if the bug
     is reported in the same XDG session as the crash happened. (LP: #869974)
   - Ignore crashes for programs which got updated in between the crash and
     reporting. (LP: #132904)
   - Special-case crashes of 'twistd': Try to determin...

Read more...

Changed in apport (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers